##
##  tin.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         tin
Summary:      News User Agent
URL:          http://www.tin.org/
Vendor:       Ian Lea et al.
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        News
License:      GPL
Version:      1.5.15
Release:      20021115

#   list of sources
Source0:      ftp://ftp.tin.org/pub/news/clients/tin/v1.5/tin-%{version}.tar.bz2
Patch0:       tin.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, ncurses, libiconv, make, flex, bison
PreReq:       OpenPKG, openpkg >= 20020206, ncurses, libiconv
AutoReq:      no
AutoReqProv:  no

%description
    TIN is a threaded NNTP and spool based Usenet newsreader.

%prep
    %setup -q
    %patch0 -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} -I%{l_prefix}/include -I%{l_prefix}/include/ncurses" \
    LDFLAGS="-L%{l_prefix}/lib" \
    LIBS="-liconv" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-inews-dir=%{l_prefix}/bin \
        --enable-nntp-only \
        --with-nntp-default-server=news \
        --with-mime-default-charset=US-ASCII \
        --disable-mime-strict-charset \
        --with-screen=curses \
        --enable-forgery \
        --disable-pgp-gpg \
        --with-gpg=%{l_prefix}/bin/gpg \
        --enable-break-long-lines \
        --disable-nls
    %{l_make} %{l_mflags -O} build

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -s -m 755 src/tin $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 doc/tin.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
  rm -rf $RPM_BUILD_ROOT

